\section{Conclusion} \label{sec:conclusion}
Sauteed onions declare unidirectional associations from domain names to onion
addresses.  These onion associations are established in CA-issued and CT-logged
TLS certificates, thereby making them public for everyone to see.  We propose
two immediate applications:
	certificate-based onion location and
	more automated verifiable search.
Both applications are opt-in for domain owners, and rely on similar assumptions
as today's onion location.  The added benefit is more transparency, which
facilitates a higher degree of consistency between found onion associations as
well as more censorship-resistance for TLS sites after setup.  Configuration of
sauteed onions requires one more DNS record and a domain-validated certificate
from any CA (such as Let's Encrypt).  In the future, the additional DNS record
may be replaced by an X.509v3 extension.  We leave it as a fun exercise to find
the onion address of a TLS site that is intentionally being censored by us:
\texttt{blocked.sauteed-onions.org}.

%%% Local Variables: 
%%% mode: latex 
%%% TeX-master: "../main"
%%% End:          
